Set one user's, role's or service identity's registry access
curl --request PUT \
--url https://api.example.com/api/registry/access/principal \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"limited": true,
"grants": [
{
"artifact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
'import requests
url = "https://api.example.com/api/registry/access/principal"
payload = {
"name": "<string>",
"limited": True,
"grants": [{ "artifact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
limited: true,
grants: [{artifact_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'}]
})
};
fetch('https://api.example.com/api/registry/access/principal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/registry/access/principal",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'limited' => true,
'grants' => [
[
'artifact_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/registry/access/principal"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"limited\": true,\n \"grants\": [\n {\n \"artifact_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.example.com/api/registry/access/principal")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"limited\": true,\n \"grants\": [\n {\n \"artifact_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/registry/access/principal")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"limited\": true,\n \"grants\": [\n {\n \"artifact_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"kind": "user",
"name": "<string>",
"limited": true,
"items": [
{
"artifact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "agent",
"name": "<string>",
"display_name": "<string>",
"level": "view",
"given_to_others": 0
}
],
"updated_by": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}Registry
Set one user's, role's or service identity's registry access
Registry admins: limit a user, role or service identity to the items given (or lift the limit), replacing what they had. Nobody else changes. Takes effect on the next lookup and run.
PUT
/
api
/
registry
/
access
/
principal
Set one user's, role's or service identity's registry access
curl --request PUT \
--url https://api.example.com/api/registry/access/principal \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"limited": true,
"grants": [
{
"artifact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
'import requests
url = "https://api.example.com/api/registry/access/principal"
payload = {
"name": "<string>",
"limited": True,
"grants": [{ "artifact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
limited: true,
grants: [{artifact_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'}]
})
};
fetch('https://api.example.com/api/registry/access/principal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/registry/access/principal",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'limited' => true,
'grants' => [
[
'artifact_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/registry/access/principal"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"limited\": true,\n \"grants\": [\n {\n \"artifact_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.example.com/api/registry/access/principal")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"limited\": true,\n \"grants\": [\n {\n \"artifact_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/registry/access/principal")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"limited\": true,\n \"grants\": [\n {\n \"artifact_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"kind": "user",
"name": "<string>",
"limited": true,
"items": [
{
"artifact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "agent",
"name": "<string>",
"display_name": "<string>",
"level": "view",
"given_to_others": 0
}
],
"updated_by": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
A user's, role's or service identity's registry access: the full state.
Available options:
user, role, identity A username, a realm role (not an nx1_ one), or a service identity's slug.
Required string length:
1 - 255True: they see and use only the items given. False: everything.
Maximum array length:
1000Show child attributes
Show child attributes
Response
Successful Response
Was this page helpful?

